diff --git a/Makefile b/Makefile
index 307f11d..be3ca5d 100644
--- a/Makefile
+++ b/Makefile
@@ -1,7 +1,7 @@
DEFAULT_BACKGROUND=desktop-background
INSTALL=install -m 0644
-BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga)
+BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga backgrounds/*.xml)
EMBLEMS=$(wildcard emblems/*png emblems/*icon)
SPLASH=$(wildcard splash/*.png splash/*.svg)
PIXMAPS=$(wildcard pixmaps/*.png)
@@ -73,12 +73,14 @@ install:
mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml
# GDM 3 theme
- mkdir -p $(DESTDIR)/usr/share/gdm/greeter-config
+ mkdir -p $(DESTDIR)/usr/share/gdm/dconf
$(INSTALL) gdm3/background.svg $(DESTDIR)/usr/share/images/desktop-base/login-background.svg
- $(INSTALL) gdm3/10_desktop-base $(DESTDIR)/usr/share/gdm/greeter-config
+ $(INSTALL) gdm3/10-desktop-base-settings $(DESTDIR)/usr/share/gdm/dconf/
# grub
$(INSTALL) grub/joy-grub.png $(DESTDIR)/usr/share/images/desktop-base/
+ $(INSTALL) grub/spacefun-grub.png $(DESTDIR)/usr/share/images/desktop-base/
+ $(INSTALL) grub/spacefun-grub-widescreen.png $(DESTDIR)/usr/share/images/desktop-base/
$(INSTALL) grub/grub_background.sh $(DESTDIR)/usr/share/desktop-base/
# plymouth
diff --git a/backgrounds/joy.xml b/backgrounds/joy.xml
new file mode 100644
index 0000000..560af47
--- /dev/null
+++ b/backgrounds/joy.xml
@@ -0,0 +1,11 @@
+
+
+ 8640000.0
+
+ /usr/share/images/desktop-base/joy-wallpaper_1280x1024.svg
+ /usr/share/images/desktop-base/joy-wallpaper_1600x1200.svg
+ /usr/share/images/desktop-base/joy-wallpaper_1920x1080.svg
+ /usr/share/images/desktop-base/joy-wallpaper_1920x1200.svg
+
+
+
diff --git a/debian/changelog b/debian/changelog
index 927625d..a51c709 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,21 @@
+desktop-base (7.0.0~exp2) experimental; urgency=low
+
+ * Remove GConf defaults, they are not used anymore.
+ * Remove the GDM3 settings, since the configuration format for GDM
+ change again, yay.
+ * Add a dconf file for the new-style GDM3 configuration.
+ * Add a XML file describing the available resolutions for the
+ background (for use with GNOME).
+ * postinst: use a higher priority for the 1920x1080 background.
+ * Cleanup postinst/prerm/postrm.
+ * Add a new alternative: desktop-background.xml.
+ * Use it from the gsettings override.
+ * Reload gdm3 after installation/removal.
+ * Drop old libgnome2-common hack.
+ * Clean up an alternative that is no longer available.
+
+ -- Josselin Mouette Sat, 23 Jun 2012 23:28:15 +0200
+
desktop-base (7.0.0~exp1) experimental; urgency=low
[ Paul Tagliamonte ]
diff --git a/debian/desktop-base.install b/debian/desktop-base.install
deleted file mode 100644
index 6b6d3dc..0000000
--- a/debian/desktop-base.install
+++ /dev/null
@@ -1 +0,0 @@
-debian/xy_desktop-base.gschema.override /usr/share/gdm/greeter-settings
diff --git a/debian/gconf-defaults b/debian/gconf-defaults
deleted file mode 100644
index 10e4b82..0000000
--- a/debian/gconf-defaults
+++ /dev/null
@@ -1,3 +0,0 @@
-/apps/gnome-session/options/splash_image /usr/share/images/desktop-base/desktop-splash
-/desktop/gnome/background/picture_filename /usr/share/images/desktop-base/desktop-background
-/desktop/gnome/background/picture_options zoom
diff --git a/debian/gsettings-override b/debian/gsettings-override
index 15324a1..ac6e08e 100644
--- a/debian/gsettings-override
+++ b/debian/gsettings-override
@@ -1,3 +1,3 @@
[org.gnome.desktop.background]
picture-options='zoom'
-picture-uri='file:///usr/share/images/desktop-base/desktop-background'
+picture-uri='file:///usr/share/images/desktop-base/desktop-background.xml'
diff --git a/debian/postinst b/debian/postinst
index 7135ff0..5c2862f 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -7,93 +7,61 @@ if dpkg-maintscript-helper supports rm_conffile 2>/dev/null; then
dpkg-maintscript-helper rm_conffile /etc/kde3/kdeglobals 6.0.1 -- "$@"
fi
-if [ "${1}" = "configure" ] && [ "$2" != "" ] ; then
-
- if dpkg --compare-versions ${2} lt 0.3.11 && dpkg --compare-versions ${2} gt 0.3.5; then
- if test -x /var/lib/dpkg/info/libgnome2-common.postinst; then
- /var/lib/dpkg/info/libgnome2-common.postinst configure
- fi
- fi
+if [ "$1" = configure ] && dpkg --compare-versions "$2" lt-nl 7; then
+ update-alternatives --remove desktop-grub /usr/share/images/desktop-base/moreblue-orbit-grub.png
fi
if [ "$1" = "configure" -o "$1" = "abort-upgrade" ]; then
# Alternatives for the background
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/joy-wallpaper_1600x1200.svg 70
+ while read background priority; do
+ update-alternatives --install \
+ /usr/share/images/desktop-base/desktop-background \
+ desktop-background \
+ /usr/share/images/desktop-base/$background $priority
+ done << EOF
+joy-wallpaper_1600x1200.svg 65
+joy-wallpaper_1280x1024.svg 65
+joy-wallpaper_1920x1080.svg 70
+joy-wallpaper_1920x1200.svg 65
+joy-inksplat-wallpaper_1920x1080.svg 65
+spacefun-wallpaper.svg 60
+spacefun-wallpaper-widescreen.svg 55
+moreblue-orbit-wallpaper.svg 50
+moreblue-orbit-wallpaper-widescreen.svg 50
+nightly-wallpaper.png 40
+debian-blueish-wallpaper.svg 30
+EOF
+ # Set up an alternative for the XML version of the background
+ # (for GNOME)
update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/joy-wallpaper_1280x1024.svg 70
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/joy-wallpaper_1920x1080.svg 70
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/joy-wallpaper_1920x1200.svg 70
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/joy-inksplat-wallpaper_1920x1080.svg 70
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/spacefun-wallpaper.svg 60
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/spacefun-wallpaper-widescreen.svg 55
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/moreblue-orbit-wallpaper.svg 50
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/moreblue-orbit-wallpaper-widescreen.svg 50
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/nightly-wallpaper.png 40
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-background \
- desktop-background \
- /usr/share/images/desktop-base/debian-blueish-wallpaper.svg 30
+ /usr/share/images/desktop-base/desktop-background.xml \
+ desktop-background.xml \
+ /usr/share/images/desktop-base/joy.xml 10
# Alternatives for the splash
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-splash \
- desktop-splash \
- /usr/share/images/desktop-base/spacefun-splash.svg 50
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-splash \
- desktop-splash \
- /usr/share/images/desktop-base/moreblue-orbit-splash.png 40
-
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-splash \
- desktop-splash \
- /usr/share/images/desktop-base/gnome-splash-curves.png 30
+ while read splash priority; do
+ update-alternatives --install \
+ /usr/share/images/desktop-base/desktop-splash \
+ desktop-splash \
+ /usr/share/images/desktop-base/$splash $priority
+ done << EOF
+spacefun-splash.svg 50
+moreblue-orbit-splash.png 40
+gnome-splash-curves.png 30
+EOF
# Alternatives for grub
- update-alternatives --install \
- /usr/share/images/desktop-base/desktop-grub.png \
- desktop-grub \
- /usr/share/images/desktop-base/joy-grub.png 15
+ while read background priority; do
+ update-alternatives --install \
+ /usr/share/images/desktop-base/desktop-grub.png \
+ desktop-grub \
+ /usr/share/images/desktop-base/$background $priority
+ done << EOF
+joy-grub.png 20
+spacefun-grub.png 15
+spacefun-grub-widescreen.png 14
+EOF
# GRUB background
if which update-grub2 > /dev/null ; then
@@ -101,13 +69,13 @@ if [ "$1" = "configure" -o "$1" = "abort-upgrade" ]; then
update-grub2 || true
fi
- # Plymouth
- #if [ -x /usr/sbin/plymouth-set-default-theme ];
- #then
- # plymouth-set-default-theme spacefun ||true
- #fi
-
if [ -x /usr/sbin/update-initramfs ]; then
update-initramfs -u
fi
+
+ # Reload gdm3 configuration
+ if [ -x /usr/sbin/gdm3 ]; then
+ invoke-rc.d gdm3 reload || true
+ fi
+
fi
diff --git a/debian/postrm b/debian/postrm
index 1400763..8de3138 100644
--- a/debian/postrm
+++ b/debian/postrm
@@ -11,13 +11,8 @@ if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then
if which update-grub2 > /dev/null ; then
update-grub2 || true
fi
+ if [ -x /usr/sbin/gdm3 ]; then
+ invoke-rc.d gdm3 reload || true
+ fi
fi
-#if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then
-# if [ -x /usr/sbin/plymouth-set-default-theme ];
-# then
-# plymouth-set-default-theme -r -R ||true
-# fi
-#fi
-
-
diff --git a/debian/prerm b/debian/prerm
index 621428b..7063aa9 100644
--- a/debian/prerm
+++ b/debian/prerm
@@ -5,42 +5,39 @@ set -e
if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then
# remove background alternatives
- update-alternatives --remove desktop-background \
- /usr/share/images/desktop-base/spacefun-wallpaper.svg
-
- update-alternatives --remove desktop-background \
- /usr/share/images/desktop-base/spacefun-wallpaper-widescreen.svg
-
- update-alternatives --remove desktop-background \
- /usr/share/images/desktop-base/moreblue-orbit-wallpaper.svg
-
- update-alternatives --remove desktop-background \
- /usr/share/images/desktop-base/moreblue-orbit-wallpaper-widescreen.svg
-
- update-alternatives --remove desktop-background \
- /usr/share/images/desktop-base/nightly-wallpaper.png
-
- update-alternatives --remove desktop-background \
- /usr/share/images/desktop-base/debian-blueish-wallpaper.svg
+ for background in \
+ joy-wallpaper_1600x1200.svg \
+ joy-wallpaper_1600x1200.svg \
+ joy-wallpaper_1280x1024.svg \
+ joy-wallpaper_1920x1080.svg \
+ joy-wallpaper_1920x1200.svg \
+ joy-inksplat-wallpaper_1920x1080.svg \
+ spacefun-wallpaper.svg \
+ spacefun-wallpaper-widescreen.svg \
+ moreblue-orbit-wallpaper.svg \
+ moreblue-orbit-wallpaper-widescreen.svg \
+ nightly-wallpaper.png \
+ debian-blueish-wallpaper.svg \
+ ; do
+ update-alternatives --remove desktop-background /usr/share/images/desktop-base/$background
+ done
+ update-alternatives --remove desktop-background.xml /usr/share/images/desktop-base/joy.xml
# remove splash alternatives
- update-alternatives --remove desktop-splash \
- /usr/share/images/desktop-base/spacefun-splash.svg
-
- update-alternatives --remove desktop-splash \
- /usr/share/images/desktop-base/moreblue-orbit-splash.png
-
- update-alternatives --remove desktop-splash \
- /usr/share/images/desktop-base/gnome-splash-curves.png
+ for splash in \
+ spacefun-splash.svg \
+ moreblue-orbit-splash.png \
+ gnome-splash-curves.png \
+ ; do
+ update-alternatives --remove desktop-splash /usr/share/images/desktop-base/$splash
+ done
# remove grub alternatives
- update-alternatives --remove desktop-grub \
- /usr/share/images/desktop-base/spacefun-grub.png
-
- update-alternatives --remove desktop-grub \
- /usr/share/images/desktop-base/spacefun-grub-widescreen.png
-
- update-alternatives --remove desktop-grub \
- /usr/share/images/desktop-base/moreblue-orbit-grub.png
+ for background in \
+ joy-grub.png \
+ spacefun-grub.png \
+ spacefun-grub-widescreen.png \
+ ; do
+ update-alternatives --remove desktop-grub /usr/share/images/desktop-base/$background
+ done
fi
-
diff --git a/debian/xy_desktop-base.gschema.override b/gdm3/10-desktop-base-settings
similarity index 75%
rename from debian/xy_desktop-base.gschema.override
rename to gdm3/10-desktop-base-settings
index fb4c968..dfbdd65 100644
--- a/debian/xy_desktop-base.gschema.override
+++ b/gdm3/10-desktop-base-settings
@@ -1,3 +1,3 @@
-[org.gnome.desktop.background]
+[org/gnome/desktop/background]
picture-uri='file:///usr/share/images/desktop-base/login-background.svg'
picture-options='zoom'
diff --git a/gdm3/10_desktop-base b/gdm3/10_desktop-base
deleted file mode 100644
index 055e50c..0000000
--- a/gdm3/10_desktop-base
+++ /dev/null
@@ -1,2 +0,0 @@
-/desktop/gnome/background/picture_filename /usr/share/images/desktop-base/login-background.svg
-/desktop/gnome/background/picture_options zoom
diff --git a/gnome-backgrounds.xml b/gnome-backgrounds.xml
index 9391aa8..7233c10 100644
--- a/gnome-backgrounds.xml
+++ b/gnome-backgrounds.xml
@@ -4,7 +4,7 @@
Debian
- /usr/share/images/desktop-base/desktop-background
+ /usr/share/images/desktop-base/desktop-background.xml
zoom
horizontal-gradient
#0099cc